##### 7.5.4.0. annfsParamBM

Procedure from library `dmod.lib` (see dmod_lib).

Usage:
  annfsParamBM(f [,eng]); f a poly, eng an optional int

Return:
  ring

Purpose:
  compute the generic Ann F^s and exceptional parametric constellations
  of a polynomial with parametric coefficients with the BM algorithm

Note:
  activate the output ring with the `setring` command. In this ring,
  - the ideal LD is the D-module structure oa Ann F^s
  - the ideal Param contains special parameters as entries
  If eng <>0, `std` is used for Groebner basis computations,
  otherwise, and by default `slimgb` is used.

Display:
  If `printlevel`=1, progress debug messages will be printed,
  if `printlevel`>=2, all the debug messages will be printed.

Example:

    LIB "dmod.lib";
    ring r = (0,a,b),(x,y),Dp;
    poly F = x^2 - (y-a)*(y-b);
    printlevel = 0;
    def A = annfsParamBM(F);  setring A;
    LD;
    ==> LD[1]=2*y*Dx+2*x*Dy+(-a-b)*Dx
    ==> LD[2]=x^2*Dy-y^2*Dy+(a+b)*y*Dy+2*y*s+(-a*b)*Dy+(-a-b)*s
    ==> LD[3]=4*x^2*Dx+4*x*y*Dy+(-2*a-2*b)*x*Dy-8*x*s+(a^2-2*a*b+b^2)*Dx
    Param;
    ==> Param[1]=(a-b)
    setring r;
    poly G = x2-(y-a)^2; // try the exceptional value b=a of parameters
    def B = annfsParamBM(G); setring B;
    LD;
    ==> LD[1]=y*Dx+x*Dy+(-a)*Dx
    ==> LD[2]=x*Dx+y*Dy+(-a)*Dy-2*s
    ==> LD[3]=x^2*Dy-y^2*Dy+(2*a)*y*Dy+2*y*s+(-a^2)*Dy+(-2*a)*s
    Param;
    ==> Param[1]=0

User manual for Singular version 4.4.1, 2025, generated by texi2html.